LibreOffice: XNumberFormatTypes Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XNumberFormatTypes Interface Referencepublished

represents functions to get specific, predefined number formats. More...

`import"XNumberFormatTypes.idl";`

Inheritance diagram for XNumberFormatTypes:

## Public Member Functions
long | getStandardIndex ([in] com::sun::star::lang::Locale nLocale)
long | getStandardFormat ([in] short nType, [in] com::sun::star::lang::Locale nLocale)
long | getFormatIndex ([in] short nIndex, [in] com::sun::star::lang::Locale nLocale)
boolean | isTypeCompatible ([in] short nOldType, [in] short nNewType)
| verifies if one type of number format is compatible with another type. More...
long | getFormatForLocale ([in] long nKey, [in] com::sun::star::lang::Locale nLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents functions to get specific, predefined number formats.

Developers Guide
  OfficeDev - Number Formats

## Member Function Documentation

## ◆ getFormatForLocale()

long getFormatForLocale | ( | [in] long | nKey,
|  | [in] com::sun::star::lang::Locale | nLocale
| ) |  |

Returns
  the index of the converted number format if successful, the old index if the number format could not be converted.

Parameters

  nKey | index of the old number format
  nLocale | the locale to which the number format is converted

## ◆ getFormatIndex()

long getFormatIndex | ( | [in] short | nIndex,
|  | [in] com::sun::star::lang::Locale | nLocale
| ) |  |

Returns
  the key of a built-in format for a locale:

Parameters

  nIndex | the index of the wanted number format within the formats for the given locale. One of the com::sun::star::i18n::NumberFormatIndex constants.
  nLocale | the locale for which the key is requested.

## ◆ getStandardFormat()

long getStandardFormat | ( | [in] short | nType,
|  | [in] com::sun::star::lang::Locale | nLocale
| ) |  |

Returns
  the key of the standard format within a specified type for a given locale.

Parameters

  nType | the type of the number format. Must be one of the NumberFormat constants.
  nLocale | the locale for which the number format is requested.

## ◆ getStandardIndex()

long getStandardIndex | ( | [in] com::sun::star::lang::Locale | nLocale | ) |

Returns
  the key of the standard format for a locale.

## ◆ isTypeCompatible()

boolean isTypeCompatible | ( | [in] short | nOldType,
|  | [in] short | nNewType
| ) |  |

verifies if one type of number format is compatible with another type.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XNumberFormatTypes.idl